=== debian/changelog ===
vls (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 12 Oct 2001 05:23:10 +0200

Local variables:
mode: debian-changelog
End:
