=== debian/control ===
Source: vls
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), libdvdread2-dev
Standards-Version: 3.0.1

Package: vls
Architecture: any
Depends: ${shlibs:Depends}
Description: a free MPEG and DVD server
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This is vls, the VideoLAN Server. It plays MPEG and MPEG2 files,
 and sends them to clients through the network.

Package: vls-dvd
Architecture: any
Depends: vls (= ${Source-Version}), ${shlibs:Depends}
Description: DVD plugin for vls
 VideoLAN is a free MPEG, MPEG2 and DVD software solution.
 .
 This plugin adds DVD support to vls, the VideoLAN Server.
