=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VideoLAN Server - uses debhelper.
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --sysconfdir=/etc --disable-debug \
		--mandir=$${prefix}/share/man --infodir=$${prefix}/share/info

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vls/ $(MAKE) install prefix=/usr

	# Copy documentation
	cp input.cfg `pwd`/debian/vls/usr/share/doc/vls/examples

	# Fill the vls-dvd package
	mv `pwd`/debian/vls/usr/lib/videolan/vls/dvdreader.so \
		`pwd`/debian/vls-dvd/usr/lib/videolan/vls/
	ln -s vls `pwd`/debian/vls-dvd/usr/share/doc/vls-dvd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installman debian/vls.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
