=== src/modules/filereader/Makefile ===
################################################################################
# "file" reader Makefile
#-------------------------------------------------------------------------------
# (c)2001 VideoLAN
# $Id: Makefile,v 1.2 2001/11/29 16:11:42 bozo Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif

################################################################################
# Files description
################################################################################

#
# Module name
#

MODULE=filereader

#
# Source files
#
MODULE_SRC=	filereader.cpp \


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.
