## vls 0.3.3-1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # vls (VideoLAN Server) main Makefile
 #-------------------------------------------------------------------------------
 # (c)1999-2001 VideoLAN
-# $Id: Makefile,v 1.81 2001/12/05 13:07:51 bozo Exp $
+# $Id: Makefile,v 1.91 2002/04/04 00:46:44 bozo Exp $
 ################################################################################
 
 
@@ -25,13 +25,15 @@
 #
 # Source files
 #
-CORESRC=	src/core/application.cpp \
+
+ifeq ($(NEEDSRC_core),1)
+SRC+=		src/core/application.cpp \
 		src/core/exception.cpp \
 		src/core/file.cpp \
+		src/core/lexer.cpp \
 		src/core/log.cpp \
 		src/core/parsers.cpp \
 		src/core/reflect.cpp \
-		src/core/regexp.cpp \
 		src/core/serialization.cpp \
 		src/core/settings.cpp \
 		src/core/socket.cpp \
@@ -40,19 +42,16 @@
 		src/core/thread.cpp \
 		src/core/module.cpp \
 
-MPEGSRC=	src/mpeg/ts.cpp \
-		src/mpeg/streamdescr.cpp \
-		src/mpeg/reader.cpp \
-		src/mpeg/converter.cpp \
-
-SHAREDSRC=	src/server/buffer.cpp \
+endif
+
+ifeq ($(NEEDSRC_server),1)
+SRC+=		src/server/buffer.cpp \
 		src/server/directory.cpp \
 		src/server/input.cpp \
 		src/server/output.cpp \
                 src/server/channel.cpp \
 		src/server/request.cpp \
-
-SERVERSRC=	src/server/admin.cpp \
+		src/server/admin.cpp \
 		src/server/broadcast.cpp \
 		src/server/manager.cpp \
 		src/server/program.cpp \
@@ -61,18 +60,36 @@
 		src/server/tsstreamer.cpp \
 		src/server/vls.cpp \
 
+endif
+
+ifeq ($(NEEDSRC_mpegbase),1)
+SRC+=		src/mpeg/ts.cpp \
+		src/mpeg/streamdescr.cpp \
+		src/mpeg/reader.cpp \
+		src/mpeg/converter.cpp \
+
+endif
+
+ifeq ($(NEEDSRC_mpegmux),1)
+SRC+=		src/mpeg/dvbpsi.cpp \
+		src/mpeg/tsdemux.cpp \
+		src/mpeg/tsmux.cpp \
+
+endif
+
 
 #
 # Module libraries
 #
-MODULE_LIST:=	dvdreader \
+MODULE_LIST:=	filereader \
+		dvdreader \
+		ts2ts \
+		ps2ts \
 		filechannel \
-		filereader \
+		netchannel \
 		localinput \
 		videoinput \
-		netchannel \
-		ps2ts \
-		ts2ts \
+		dvbinput \
 
 
 BUILTINSTARGETS:=$(BUILTINS:%:bin/%.a)
@@ -82,23 +99,13 @@
 #
 # Object files
 # 
-COREOBJ:=$(CORESRC:src/%.cpp=obj/%.o)
-MPEGOBJ:=$(MPEGSRC:src/%.cpp=obj/%.o)
-SHAREDOBJ:=$(SHAREDSRC:src/%.cpp=obj/%.o)
-SERVEROBJ:=$(SERVERSRC:src/%.cpp=obj/%.o)
-
-OBJ:=$(COREOBJ) $(MPEGOBJ) $(SHAREDOBJ) $(SERVEROBJ)
+OBJ:=$(SRC:src/%.cpp=obj/%.o)
 
 
 #
 # Dependencies
 #
-COREDEP:=$(CORESRC:src/%.cpp=dep/%.d)
-MPEGDEP:=$(MPEGSRC:src/%.cpp=dep/%.d)
-SHAREDDEP:=$(SHAREDSRC:src/%.cpp=dep/%.d)
-SERVERDEP:=$(SERVERSRC:src/%.cpp=dep/%.d)
-
-DEP:=$(COREDEP) $(MPEGDEP) $(SHAREDDEP) $(SERVERDEP)
+DEP:=$(SRC:src/%.cpp=dep/%.d)
 
 
 #
@@ -123,12 +130,16 @@
 		@echo "**** No configuration found, please run ./configure..."
 		@exit 1
 
-clean:
+vls_clean:
 		rm -Rf obj
+
+module_clean:
 		for module in $(MODULE_LIST) ; do \
 			( cd src/modules/$$module && $(MAKE) clean ) ; done
 
-distclean:	clean
+clean:		module_clean vls_clean
+
+distclean:	vls_clean
 		rm -f bin/vls
 		rm -f config*status config*cache config*log
 		rm -f Makefile.opts src/core/defs.h src/server/config.h
@@ -147,11 +158,16 @@
 endif
 	mkdir -p $(DESTDIR)$(sysconfdir)/videolan/vls
 	test -r $(DESTDIR)$(sysconfdir)/videolan/vls/vls.cfg || $(INSTALL) -m 644 vls.cfg $(DESTDIR)$(sysconfdir)/videolan/vls
+	test -r $(DESTDIR)$(sysconfdir)/videolan/vls/input.cfg || $(INSTALL) -m 644 input.cfg $(DESTDIR)$(sysconfdir)/videolan/vls
 	@echo "Installation succeeded."
 
 uninstall:
 	rm -f $(DESTDIR)$(bindir)/vls
 	rm -f $(DESTDIR)$(libdir)/videolan/vls/*.so
+
+# Build lexer.cpp with flex
+lexer:
+	flex -i -osrc/core/lexer.cpp src/core/lexer.lex
 
 dep:		Makefile.opts $(DEP)
 
@@ -220,17 +236,17 @@
 	rm -Rf tmp/vls/tmp
 	find debian -mindepth 1 -maxdepth 1 -type d | \
 		while read i ; do rm -Rf tmp/vls/$$i ; done
+	mkdir -p tmp/vls/doc
 	# Copy .c .h .in .cpp and files
 	find src -type f -name '*.[chi]*' | while read i ; \
 		do cp $$i tmp/vls/$$i ; done
 	# Copy module Makefiles
 	find src/modules -type f -name Makefile | while read i ; \
 		do cp $$i tmp/vls/$$i ; done
-	# Copy input Makefiles
-	find src/inputs -type f -name Makefile | while read i ; \
-		do cp $$i tmp/vls/$$i ; done
+	# Copy documentation
+	cp doc/Makefile doc/vls-guide.sgml tmp/vls/doc
 	# Copy misc files
-	cp AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* HOWTO \
+	cp AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
 		vls.cfg input.cfg Makefile Makefile.dep Makefile.module \
 		Makefile.module.dep Makefile.opts.in\
 		configure configure.in install-sh config.sub config.guess \
