=== src/modules/dvbinput/Makefile ===
################################################################################
# "dvb" input Makefile
#-------------------------------------------------------------------------------
# (c)1999-2002 VideoLAN
# $Id: Makefile,v 1.1 2002/03/21 14:09:19 bozo Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif


################################################################################
# Files description
################################################################################

#
# Input name
#

MODULE=dvbinput

#
# Source files
#
MODULE_SRC=	dvbinput.cpp \


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.
