=== src/modules/netchannel/Makefile ===
################################################################################
# "network" channel Makefile
#-------------------------------------------------------------------------------
# (c)1999-2001 VideoLAN
# $Id: Makefile,v 1.3 2001/11/29 16:11:42 bozo Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif

################################################################################
# Files description
################################################################################

#
# Module name
#

MODULE=netchannel

#
# Source files
#
MODULE_SRC=	netchannel.cpp \
		netoutput.cpp \


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.
