=== debian/changelog ===
vls (0.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Tue, 14 May 2002 22:26:15 +0200

vls (0.3.2-1) unstable; urgency=low

  * First Debian upload (Closes: #140965).

 -- Samuel Hocevar <sam@zoy.org>  Thu,  4 Apr 2002 02:28:13 +0200

vls (0.3.1-1) unstable; urgency=low

  * Upstream Release.

 -- Samuel Hocevar <sam@zoy.org>  Thu,  6 Dec 2001 16:13:11 +0100
