=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Samuel Hocevar <sam@zoy.org>
-Build-Depends: debhelper (>=2.2.0), libdvdread2-dev
+Build-Depends: debhelper (>=2.2.0), libdvdread2-dev, dvb-dev, libdvbpsi0-dev
 Standards-Version: 3.0.1
 
 Package: vls
@@ -20,4 +20,15 @@
 Description: DVD plugin for vls
  VideoLAN is a free MPEG, MPEG2 and DVD software solution.
  .
- This plugin adds DVD support to vls, the VideoLAN Server.
+ This plugin adds DVD support to vls, the VideoLAN Server. With this plugin
+ vls is able to read MPEG data from a DVD and broadcast the stream to the
+ network, together with all subtitles and audio tracks.
+
+Package: vls-dvb
+Architecture: any
+Depends: vls (= ${Source-Version}), ${shlibs:Depends}
+Description: DVB plugin for vls
+ VideoLAN is a free MPEG, MPEG2 and DVD software solution.
+ .
+ This plugin adds DVB support to vls, the VideoLAN Server. This plugin
+ currently only works with WinTV-Nova satellite cards.
