## vls 0.4.0-1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # vls (VideoLAN Server) main Makefile
 #-------------------------------------------------------------------------------
 # (c)1999-2001 VideoLAN
-# $Id: Makefile,v 1.91 2002/04/04 00:46:44 bozo Exp $
+# $Id: Makefile,v 1.98 2002/10/13 18:27:20 asmax Exp $
 ################################################################################
 
 
@@ -41,6 +41,7 @@
 		src/core/system.cpp \
 		src/core/thread.cpp \
 		src/core/module.cpp \
+		src/core/iso_lang.cpp \
 
 endif
 
@@ -49,7 +50,7 @@
 		src/server/directory.cpp \
 		src/server/input.cpp \
 		src/server/output.cpp \
-                src/server/channel.cpp \
+		src/server/channel.cpp \
 		src/server/request.cpp \
 		src/server/admin.cpp \
 		src/server/broadcast.cpp \
@@ -62,8 +63,14 @@
 
 endif
 
+ifeq ($(NEEDSRC_daemon),1)
+SRC+=		src/server/daemon.cpp \
+
+endif
+
 ifeq ($(NEEDSRC_mpegbase),1)
 SRC+=		src/mpeg/ts.cpp \
+		src/mpeg/rtp.cpp \
 		src/mpeg/streamdescr.cpp \
 		src/mpeg/reader.cpp \
 		src/mpeg/converter.cpp \
@@ -90,6 +97,7 @@
 		localinput \
 		videoinput \
 		dvbinput \
+                dvbreader \
 
 
 BUILTINSTARGETS:=$(BUILTINS:%:bin/%.a)
@@ -141,6 +149,7 @@
 
 distclean:	vls_clean
 		rm -f bin/vls
+		rm -f bin/vlsd
 		rm -f config*status config*cache config*log
 		rm -f Makefile.opts src/core/defs.h src/server/config.h
 		rm -f src/server/vls_builtins.cpp
@@ -152,6 +161,7 @@
 install:
 	mkdir -p $(DESTDIR)$(bindir)
 	$(INSTALL) bin/vls $(DESTDIR)$(bindir)
+	$(INSTALL) bin/vlsd $(DESTDIR)$(bindir)
 	mkdir -p $(DESTDIR)$(libdir)/videolan/vls
 ifneq (,$(PLUGINS))
 	$(INSTALL) -m 644 $(PLUGINS:%=bin/%.so) $(DESTDIR)$(libdir)/videolan/vls
@@ -163,6 +173,7 @@
 
 uninstall:
 	rm -f $(DESTDIR)$(bindir)/vls
+	rm -f $(DESTDIR)$(bindir)/vlsd
 	rm -f $(DESTDIR)$(libdir)/videolan/vls/*.so
 
 # Build lexer.cpp with flex
@@ -175,6 +186,7 @@
 		@echo "Linking $@..."
 		@test -d bin || mkdir -p bin
 		$(CXX) $(LCFLAGS) -o bin/$@ $(OBJ) $(BUILTINS:%=obj/%.a) $(VLS_LIB)
+		@test -f bin/vlsd || ln -s $@ bin/$@d
 		chmod 755 bin/$@
 
 dep/server/vls.d:	src/server/vls_builtins.cpp
@@ -222,12 +234,12 @@
 #
 # Package generation rules
 #
-snapshot:
+dist:
 	# Check that tmp isn't in the way
 	@if test -e tmp; then \
 		echo "Error: please remove ./tmp, it is in the way"; false; \
 	else \
-		echo "Starting snapshot's build."; mkdir tmp; \
+		echo "Starting dist's build."; mkdir tmp; \
 	fi
 	# Copy directory structure in tmp
 	find -type d | grep -v '\(snapshot\|CVS\)' | while read i ; \
@@ -237,18 +249,24 @@
 	find debian -mindepth 1 -maxdepth 1 -type d | \
 		while read i ; do rm -Rf tmp/vls/$$i ; done
 	mkdir -p tmp/vls/doc
-	# Copy .c .h .in .cpp and files
+	mkdir -p tmp/vls/doc/developer
+	# Copy .c .h .in .cpp and .def files
 	find src -type f -name '*.[chi]*' | while read i ; \
 		do cp $$i tmp/vls/$$i ; done
+	cp src/core/iso-639.def tmp/vls/src/core
 	# Copy module Makefiles
 	find src/modules -type f -name Makefile | while read i ; \
 		do cp $$i tmp/vls/$$i ; done
 	# Copy documentation
-	cp doc/Makefile doc/vls-guide.sgml tmp/vls/doc
+	cp doc/Makefile doc/vls-guide.sgml tmp/vls/doc 
+	for file in doc/developer/*.sgml doc/developer/*.dia \
+		doc/developer/*.eps doc/developer/*.jpg \
+		doc/developer/*.dsl doc/developer/*.sda ; \
+			do cp $$file tmp/vls/doc/developer ; done
 	# Copy misc files
 	cp AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
 		vls.cfg input.cfg Makefile Makefile.dep Makefile.module \
-		Makefile.module.dep Makefile.opts.in\
+		Makefile.module.dep Makefile.opts.in vls.dsp \
 		configure configure.in install-sh config.sub config.guess \
 		tmp/vls/
 	# Copy Debian control files
@@ -257,6 +275,8 @@
 			do cp $$file tmp/vls/debian ; done
 	for file in control changelog rules vls.1 ; do \
 		cp debian/$$file tmp/vls/debian/ ; done
+	# Copy rpm spec file
+	cp vls.spec tmp/vls
 	# Build archives
 	F=vls-${VLS_QUICKVERSION}; \
 		mv tmp/vls tmp/$$F; (cd tmp ; tar cf $$F.tar $$F); \
