=== doc/Makefile ===
html:
	sgml2html vls-guide.sgml

pdf:
	sgml2latex vls-guide.sgml
	pdflatex vls-guide.tex
