=== doc/developer/Makefile ===
all:
	sgmltools -b html -s stylesheet.dsl vls-devel.sgml
	cp *.jpg vls-devel

dvi:
	sgmltools -b dvi vls-devel.sgml

clean:
	rm -Rf vls-devel
	rm -f vls-devel.dvi
