=== src/modules/dvbreader/Makefile ===
################################################################################
# "DVB" reader Makefile
#-------------------------------------------------------------------------------
# (c)2001 VideoLAN
# $Id: Makefile,v 1.1 2002/09/22 01:38:54 nitrox Exp $
################################################################################


################################################################################
# Common options
################################################################################
ifeq ($(shell [ ! -r ../../../Makefile.opts ] && echo 1),)
    include ../../../Makefile.opts
endif

################################################################################
# Files description
################################################################################

#
# Module name
#

MODULE=dvbreader

#
# Source files
#
MODULE_SRC=	dvbreader.cpp \


################################################################################
# Makefile skeleton
################################################################################

include ../../../Makefile.module


################################################################################
# Notes
################################################################################

# Look at the Makefile.module file for more information.
