=== debian/changelog ===
vls (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sun, 13 Oct 2002 02:27:09 +0200
