=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Samuel Hocevar <sam@zoy.org>
-Build-Depends: debhelper (>=2.2.0), libdvdread2-dev, dvb-dev, libdvbpsi0-dev
+Build-Depends: debhelper (>=2.2.0), libdvdread2-dev, dvb-dev, libdvbpsi1-dev
 Standards-Version: 3.0.1
 
 Package: vls
